<?php 

/**
 * header.php
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <?php
    if ( ! function_exists( '_wp_render_title_tag' ) ) :
      function theme_slug_render_title() { ?>
        <title><?php wp_title( '|', true, 'right' ); ?></title>
      <?php }
      add_action( 'wp_head', 'poetic_render_title' );
    endif;
  ?>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta charset="<?php bloginfo('charset'); ?>">
  <?php wp_head(); ?>
  <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/respond.min.js"></script>
    <script src="<?php echo get_template_directory_uri(); ?>/js/PIE.js"></script>
  <![endif]-->
</head>
<body <?php body_class(); ?>>
  <?php do_action('poetic_after_body'); ?>
  <div class="site">
    <?php 
      $header_bg_image = poetic_get_theme_mod( 'header_bg_image' );
      $header_style = ( $header_bg_image ) ? 'style="background-image: url(' . wp_get_attachment_image_url( $header_bg_image, 'full' ) . ');"' : ''; 
    ?>
    <header class="poetic-header" <?php echo $header_style; ?>>
      <div class="poetic-topbar">
        <div class="poetic-container">
          <?php poetic_site_navigation('topbar'); ?>
          <?php if ( poetic_get_theme_mod( 'header_social' ) == 1 ) poetic_social_profiles(); ?>
        </div>
      </div>
      <div class="poetic-logobar">
        <div class="poetic-container">
          <?php 
            /**
             * Site logo
             * 
             * @var string $site_name Outputs site name
             * @var string $site_desc Outputs site description
             * @var array $site_logo Array of site logo image
             * @var integer $logo_width Contains logo width
             */
            
            $site_name  = poetic_get_theme_mod( 'header_logo_text' );
            $site_decs  = get_bloginfo( 'description' );
            $site_logo  = wp_get_attachment_image_url( poetic_get_theme_mod( 'header_logo_image' ), 'full' );
        
            if ( $site_logo != '') {
              $logo_url = '<img src="' . $site_logo . '" alt="' . $site_name . '">';
            } else {
              $logo_url = '<span>' . $site_name . '</span>';
            }

            if ( is_front_page() ) {
              echo '<h1 class="visually-hidden">'. $site_name .'</h1>';
            }
          ?>
          <a class="poetic-logo" href="<?php echo home_url(); ?>" title="<?php echo $site_decs; ?>">
            <?php echo $logo_url; ?>
          </a>
        </div>
      </div>
      <nav class="poetic-navbar">
        <div class="poetic-container">
          <a href="#" class="nav-btn" data-target=".poetic-nav"><span>Menu</span><i class="fa fa-navicon"></i></a>
          <?php poetic_site_navigation('primary'); ?>
          <?php if ( poetic_get_theme_mod( 'header_search' ) == 1 ) get_search_form(); ?>
        </div>
      </nav>
    </header>
    <div class="poetic-main">
      <div class="poetic-container">
        <?php 
          $featured_posts = poetic_get_theme_mod( 'enable_featured_posts' );

          if ( $featured_posts ) :

            $fp_type  = ( $v = poetic_get_theme_mod( 'featured_posts_type' ) ) ? $v : 'post';
            $fp_sort  = ( $v = poetic_get_theme_mod( 'featured_posts_sort' ) ) ? $v : 'featured';
            $fp_count = ( $v = poetic_get_theme_mod( 'featured_posts_count' ) ) ? $v : 3;

            // if ( !is_page() && !is_search() ) { 
              poetic_featured_posts( $fp_type, $fp_count, $fp_sort ); 
            // }

          endif;
        ?>