<?php 

/**
 * Gets poetic Theme Mod
 */

if ( ! function_exists( 'poetic_get_theme_mod' ) ) :
  function poetic_get_theme_mod( $mod, $default = false ) {

    GLOBAL $poetic_customizer_defaults;

    $default = ( false === $default && isset( $poetic_customizer_defaults['poetic_' . $mod] ) ) ? $poetic_customizer_defaults['poetic_' . $mod] : $default;

    return get_theme_mod( 'poetic_' . $mod, $default );

  }
endif;

/**
 * poetic Default Customizer Settings
 */

function poetic_get_theme_mod_defaults() {

  $defaults = array(
    'poetic_site_color'                 => '#F25D5C',
    'poetic_site_color_hover'           => '#EE2E2D',
    'poetic_site_bg_color'              => '',
    
    'poetic_type_font_size_body'        => '16',
    'poetic_type_font_size_h1'          => '28',
    'poetic_type_font_size_h2'          => '22',
    'poetic_type_font_size_h3'          => '20',
    'poetic_type_font_size_h4'          => '18',
    'poetic_type_font_size_h5'          => '16',
    'poetic_type_font_size_h6'          => '15',
    'poetic_type_font_size_logo'        => '60',
    'poetic_type_color_body'            => '#202020',
    'poetic_type_color_headings'        => '#202020',
    'poetic_type_color_logo'            => '#9F1B1A',
    'poetic_type_line_height_body'      => '1.66',
    'poetic_type_line_height_headings'  => '1.5',
    
    'poetic_header_bg_color'            => '',
    'poetic_header_bg_color_opacity'    => '0.3',
    'poetic_header_bg_image'            => '',
    'poetic_header_logo_text'           => get_bloginfo( 'name' ),
    'poetic_header_logo_image'          => '',
    'poetic_header_logo_width'          => '',
    'poetic_header_social'              => '1',
    'poetic_header_search'              => '1',
    
    'poetic_footer_content'             => '<p>&copy; '. date( 'Y' ) . ' <a href="http://themes.zeshanahmed.com/poetic/">Poetic - Free Responsive WordPress Poetry Theme</a>. All Rights Reserved. </p>',
    
    'poetic_blog_share'                 => '1',
    'poetic_blog_posts_align'           => 'center-text',
    'poetic_blog_post_meta'             => '1',
    
    'poetic_welcome_box_homepage'       => '1',
    'poetic_welcome_box_archive'        => '1',
    'poetic_welcome_box_homepage_title' => 'Welcome to ' . get_bloginfo( 'name' ),
    'poetic_welcome_box_homepage_desc'  => '',
    
    'poetic_enable_featured_posts'      => '1',
    'poetic_featured_posts_sort'        => 'popular',
    'poetic_featured_posts_count'       => '10',
    
    'poetic_social_share_facebook'      => '1',
    'poetic_social_share_twitter'       => '1',
    'poetic_social_share_googleplus'    => '1',
    'poetic_social_share_linkedin'      => '1',
    'poetic_social_share_pinterest'     => '1',
    'poetic_social_share_reddit'        => '1',
    'poetic_social_share_email'         => '1',
    'poetic_social_facebook'            => '#',
    'poetic_social_twitter'             => '#',
    'poetic_social_instagram'           => '',
    'poetic_social_googleplus'          => '#',
    'poetic_social_linkedin'            => '',
    'poetic_social_youtube'             => '',
    'poetic_social_pinterest'           => '',
    'poetic_social_soundcloud'          => '',

    'poetic_custom_css'                 => '',
  );
  return apply_filters( 'poetic_option_defaults', $defaults );

}

$poetic_customizer_defaults = poetic_get_theme_mod_defaults();
