/**
 * Customizer JavaScript
 */

jQuery(document).ready(function($) {

  var $font_options = $( '' );


  /**
   * PostMessage Transport Update Without Refreshing the Page.
   */

  /**
   * Show Hide Controls
   * Toggles controls based on the element on/off value
   * @param  string el      element ID
   * @param  array  targets all elements you want to hide/show
   */

  function showHideControls( el, targets ) {
    var elementIsOn  = $(el).find('input[value="1"]').is(':checked');

    $.each( targets, function( index, control ) {
      if ( index >= 1 ) {
        $(control.id).hide();
      }
    });

    // checks if the value is true
    if ( elementIsOn ) {

      $.each( targets, function( index, control ) {
        if ( index >= 1 ) {
          $(control.id).show();
        }
      });
      
    } else {

      $.each( targets, function( index, control ) {
        if ( index >= 1 ) {
          $(control.id).hide();
        }
      });

    }
  }

  /**
   * Add Sets Info
   * @param {[type]} sets [description]
   */
  function addSetsTitles( sets ) {
    for ( var i = sets.length - 1; i >= 0; i-- ) {
      $title = ( sets[i].title != '' ) ? '<p class="poetic-controls-set-title">' + sets[i].title + '</p>' : '';
      $desc  = ( sets[i].description != '' ) ? '<p class="poetic-controls-set-desc">' + sets[i].description + '</p>' : '';
      if ( $title != '' && $desc != '' ) {
        $('<li class="poetic-controls-set-info">' + $title + $desc + '</li>').insertBefore( sets[i].id );
      }
    }
  }

  /**
   * Add Sets Info
   */
  
  var sectionSetsInfo = [
    { 
      title       : 'Font Sizes', 
      id          : '#customize-control-poetic_type_font_size_body', 
      description : 'Set font sizes for body text, headings and logo. All values are in pixels. Use unit-less values, e.g., <strong>50</strong> for <strong>50px</strong>. (logo option is available only when no logo image is selected under <strong>Header > Logo Image</strong>)',
    },
    { 
      title       : 'Line Heights', 
      id          : '#customize-control-poetic_type_line_height_body', 
      description : 'Set line height of body text and headings.',
    },
    { 
      title       : 'Colors', 
      id          : '#customize-control-poetic_type_color_body', 
      description : 'Set colors for body text, headings and logo. (logo option is available only when no logo image is selected under <strong>Header > Logo Image</strong>)',
    },
    { 
      title       : 'Header Background', 
      id          : '#customize-control-poetic_header_bg_color', 
      description : 'Set the background color, color opacity and image of the header. ',
    },
    { 
      title       : 'Logo', 
      id          : '#customize-control-poetic_header_logo_text', 
      description : 'Set the text, image and image width of the site logo. ',
    },
    { 
      title       : 'Miscellaneous', 
      id          : '#customize-control-poetic_header_social', 
      description : 'Header miscellaneous settings. ',
    },
    { 
      title       : 'Social Share', 
      id          : '#customize-control-poetic_blog_share', 
      description : 'Show social sharing buttons under blog posts. ',
    },
  ];

  addSetsTitles( sectionSetsInfo );

  /**
   * General: Site Colors
   */

  var siteColors = [
    { id: '#customize-control-poetic_site_color' },
    { id: '#customize-control-poetic_site_color_hover' },
  ];

  /**
   * General: Featured Posts
   */

  var featuredPostsControls = [
    { id: '#customize-control-poetic_enable_featured_posts' },
    { id: '#customize-control-poetic_featured_posts_sort' },
    { id: '#customize-control-poetic_featured_posts_count' },
  ];


  // Call showHideControls function
  showHideControls( featuredPostsControls[0].id, featuredPostsControls );

  $( featuredPostsControls[0].id ).change( function() {
    showHideControls( featuredPostsControls[0].id, featuredPostsControls );
  });

  // 
  // Blog -> Social Sharing
  // 

  var socialShareControls = [
    { id: '#customize-control-poetic_blog_share'},
    { id: '#customize-control-poetic_social_share_facebook' },
    { id: '#customize-control-poetic_social_share_twitter' },
    { id: '#customize-control-poetic_social_share_googleplus' },
    { id: '#customize-control-poetic_social_share_linkedin' },
    { id: '#customize-control-poetic_social_share_pinterest' },
    { id: '#customize-control-poetic_social_share_reddit' },
    { id: '#customize-control-poetic_social_share_email' },
  ];

  // Call showHideControls function
  showHideControls( socialShareControls[0].id, socialShareControls );

  $( socialShareControls[0].id ).change( function() {
    showHideControls( socialShareControls[0].id, socialShareControls );
  });


  /**
   * No Refresh. Output Value postMessage
   */
  
  // wp.customize( 'poetic_header_bg_color_opacity', function( value ) {
  //   console.log( value );
  //   value.bind( function( to )  {
  //     $('.poetic_header:before').css('opacity', to);
  //   });
  //   console.log('working');
  // });

});