<?php 

/**
 * Setup Customizer Settings for Theme
 */

function poetic_customize_register( $wp_customize ) {

  // echo "<pre>";
  // var_dump( $wp_customize->settings() );
  // echo "</pre>";

  // 
  // Arrays
  // 

  GLOBAL $poetic_customizer_defaults;

  // On Off Choices
  $choice_on_off = array(
    '1' => 'On',
    ''  => 'Off'
  );

  // =================================
  // Sections 
  // =================================

  // Section: General
  $wp_customize->add_section( 'poetic_general' , array(
    'title'    => 'General',
    'priority' => '10',
  ) );

  // Section: Layout and Design
  $wp_customize->add_section( 'poetic_layout_design' , array(
    'title'    => 'Layout and Design',
    'priority' => '20',
  ) );

  // Section: Typography
  $wp_customize->add_section( 'poetic_typography' , array(
    'title'    => 'Typography',
    'priority' => '30',
  ) );

  // Section: Header
  $wp_customize->add_section( 'poetic_header' , array(
    'title'    => 'Header',
    'priority' => '40',
  ) );

  // Section: Footer
  $wp_customize->add_section( 'poetic_footer' , array(
    'title'    => 'Footer',
    'priority' => '50',
  ) );

  // Section: Blog
  $wp_customize->add_section( 'poetic_blog' , array(
    'title'    => 'Blog',
    'priority' => '60',
  ) );

  // Section: Social
  $wp_customize->add_section( 'poetic_featured_posts' , array(
    'title'    => 'Featured Posts',
    'priority' => '70',
  ) );

  // Section: Social
  $wp_customize->add_section( 'poetic_welcome_box' , array(
    'title'    => 'Welcome Box',
    'priority' => '80',
  ) );

  // Section: Social
  $wp_customize->add_section( 'poetic_social' , array(
    'title'    => 'Social',
    'priority' => '90',
  ) );

  // Section: Custom CSS
  $wp_customize->add_section( 'poetic_custom_css' , array(
    'title'    => 'Custom CSS',
    'priority' => '99',
  ) );

  // =================================
  // Controls & Settings: General
  // =================================

  // Setting: Site Primary Color
  $wp_customize->add_setting( 'poetic_site_color', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_site_color"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Site Primary Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_site_color', array(
      'label'       => __( 'Site Primary Color', 'poetic' ),
      'description' => __( 'This color will be used in various places such as header, links, etc.', 'poetic' ),
      'section'     => 'poetic_general',
      'settings'    => 'poetic_site_color',
      'priority'    => '1',
    ))
  );

  // Setting: Site Primary Color Hover
  $wp_customize->add_setting( 'poetic_site_color_hover', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_site_color_hover"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Site Primary Color Hover
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_site_color_hover', array(
      'label'       => __( 'Site Primary Color Hover', 'poetic' ),
      'description' => __( 'Select site primary hover color that will be used when hovering the elements such as links.', 'poetic' ),
      'section'     => 'poetic_general',
      'settings'    => 'poetic_site_color_hover',
      'priority'    => '1',
    ))
  );

  // Setting: Site Background Color
  $wp_customize->add_setting( 'poetic_site_bg_color', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_site_bg_color"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Site Background Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_site_bg_color', array(
      'label'       => __( 'Site Background Color', 'poetic' ),
      'description' => __( 'Select site background color.', 'poetic' ),
      'section'     => 'poetic_general',
      'settings'    => 'poetic_site_bg_color',
      'priority'    => '1',
    ))
  );

  // =================================
  // Controls & Settings: Typography
  // =================================

  // 
  // Font Sizes
  // 

  // Setting: Body Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_body', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_body"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Body Font Size
  $wp_customize->add_control( 'poetic_type_font_size_body', array( 
    'type'        => 'number',
    'label'       => __( 'Body Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_body',
    'priority'    => '1',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: H1 Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_h1', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_h1"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: H1 Font Size
  $wp_customize->add_control( 'poetic_type_font_size_h1', array( 
    'type'        => 'number',
    'label'       => __( 'H1 Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_h1',
    'priority'    => '2',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: H2 Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_h2', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_h2"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: H2 Font Size
  $wp_customize->add_control( 'poetic_type_font_size_h2', array( 
    'type'        => 'number',
    'label'       => __( 'H2 Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_h2',
    'priority'    => '3',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: H3 Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_h3', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_h3"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: H3 Font Size
  $wp_customize->add_control( 'poetic_type_font_size_h3', array( 
    'type'        => 'number',
    'label'       => __( 'H3 Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_h3',
    'priority'    => '4',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: H4 Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_h4', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_h4"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: H4 Font Size
  $wp_customize->add_control( 'poetic_type_font_size_h4', array( 
    'type'        => 'number',
    'label'       => __( 'H4 Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_h4',
    'priority'    => '5',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: H5 Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_h5', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_h5"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: H5 Font Size
  $wp_customize->add_control( 'poetic_type_font_size_h5', array( 
    'type'        => 'number',
    'label'       => __( 'H5 Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_h5',
    'priority'    => '6',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: H6 Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_h6', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_h6"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: H6 Font Size
  $wp_customize->add_control( 'poetic_type_font_size_h6', array( 
    'type'        => 'number',
    'label'       => __( 'H6 Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_h6',
    'priority'    => '7',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // Setting: Logo Font Size
  $wp_customize->add_setting( 'poetic_type_font_size_logo', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_font_size_logo"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Logo Font Size
  $wp_customize->add_control( 'poetic_type_font_size_logo', array( 
    'type'        => 'number',
    'label'       => __( 'Logo Font Size (px)', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_font_size_logo',
    'priority'    => '8',
    'input_attrs' => array(
      'min'   => 0,
      'step'  => 1,
    ),
  ) );

  // 
  // Colors
  // 

  // Setting: Body Text Color
  $wp_customize->add_setting( 'poetic_type_color_body', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_color_body"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Body Text Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_type_color_body', array(
      'label'       => __( 'Body Text Color', 'poetic' ),
      'section'     => 'poetic_typography',
      'settings'    => 'poetic_type_color_body',
      'priority'    => '9',
    ))
  );

  // Setting: Headings Color
  $wp_customize->add_setting( 'poetic_type_color_headings', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_color_headings"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Headings Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_type_color_headings', array(
      'label'       => __( 'Headings Color', 'poetic' ),
      'section'     => 'poetic_typography',
      'settings'    => 'poetic_type_color_headings',
      'priority'    => '10',
    ))
  );

  // Setting: Headings Color
  $wp_customize->add_setting( 'poetic_type_color_logo', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_color_logo"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Headings Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_type_color_logo', array(
      'label'       => __( 'Headings Color', 'poetic' ),
      'section'     => 'poetic_typography',
      'settings'    => 'poetic_type_color_logo',
      'priority'    => '11',
    ))
  );

  // Setting: Logo Color
  $wp_customize->add_setting( 'poetic_type_color_logo', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_color_logo"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Logo Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_type_color_logo', array(
      'label'       => __( 'Logo Color', 'poetic' ),
      'section'     => 'poetic_typography',
      'settings'    => 'poetic_type_color_logo',
      'priority'    => '12',
    ))
  );

  // 
  // Line Heights
  // 

  // Setting: Body Text Line Height
  $wp_customize->add_setting( 'poetic_type_line_height_body', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_line_height_body"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Body Text Line Height
  $wp_customize->add_control( 'poetic_type_line_height_body', array( 
    'type'        => 'number',
    'label'       => __( 'Body Text Line Height', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_line_height_body',
    'priority'    => '8',
    'input_attrs' => array(
      'min'   => 0,
      'max'   => 10,
      'step'  => 0.05,
    ),
  ) );

  // Setting: Headings Line Height
  $wp_customize->add_setting( 'poetic_type_line_height_headings', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_type_line_height_headings"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Headings Line Height
  $wp_customize->add_control( 'poetic_type_line_height_headings', array( 
    'type'        => 'number',
    'label'       => __( 'Headings Line Height', 'poetic' ),
    'section'     => 'poetic_typography',
    'settings'    => 'poetic_type_line_height_headings',
    'priority'    => '8',
    'input_attrs' => array(
      'min'   => 0,
      'max'   => 10,
      'step'  => 0.05,
    ),
  ) );

  // =================================
  // Controls & Settings: Header
  // =================================

  // Setting: Header Background Color
  $wp_customize->add_setting( 'poetic_header_bg_color', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_bg_color"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
  ) );

  // Control: Header Background Color
  $wp_customize->add_control(  
    new WP_Customize_Color_Control( $wp_customize, 'poetic_header_bg_color', array(
      'label'       => __( 'Header Background Color', 'poetic' ),
      'description' => __( 'Set the background color of header. This option will overwrite <strong>Site Primary Color</strong>.', 'poetic' ),
      'section'     => 'poetic_header',
      'settings'    => 'poetic_header_bg_color',
      'priority'    => '1',
    ))
  );

  // Setting: Header Background Color Opacity
  $wp_customize->add_setting( 'poetic_header_bg_color_opacity', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_bg_color_opacity"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Header Background Color Opacity
  $wp_customize->add_control( 'poetic_header_bg_color_opacity', array( 
    'type'        => 'number',
    'label'       => __( 'Header Background Color Opacity', 'poetic' ),
    'description' => __( 'Set the opacity of header background color. Set any value from <strong>0</strong> to <strong>1</strong> e.g., <strong>0.5</strong>, <strong>0.15</strong>', 'poetic' ),
    'section'     => 'poetic_header',
    'settings'    => 'poetic_header_bg_color_opacity',
    'priority'    => '2',
    'input_attrs' => array(
      'min'   => 0,
      'max'   => 1,
      'step'  => 0.05,
    ),
  ) );

  // Setting: Header Background Image
  $wp_customize->add_setting( 'poetic_header_bg_image', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_bg_image"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
  ) );

  // Control: Header Background Image
  $wp_customize->add_control( 
    new WP_Customize_Media_Control( $wp_customize, 'poetic_header_bg_image', array(
      'label'       => __( 'Header Background Image', 'poetic' ),
      'description' => __( 'Set the header background image.', 'poetic' ),
      'section'     => 'poetic_header',
      'settings'    => 'poetic_header_bg_image',
      'priority'    => '3',
      'mime_type'   => 'image',
    ))
  );

  // Setting: Logo Width
  $wp_customize->add_setting( 'poetic_header_logo_text', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_logo_text"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Logo Text
  $wp_customize->add_control( 'poetic_header_logo_text', array( 
    'type'        => 'text',
    'label'       => __( 'Logo Text', 'poetic' ),
    'description' => __( 'Set the custom logo text. (this will not appear if you have added a logo image)', 'poetic' ),
    'section'     => 'poetic_header',
    'settings'    => 'poetic_header_logo_text',
    'priority'    => '5',
  ) );

  // Setting: Logo Image
  $wp_customize->add_setting( 'poetic_header_logo_image', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_logo_image"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'esc_url_raw',
  ) );

  // Control: Logo Image
  $wp_customize->add_control( 
    new WP_Customize_Media_Control( $wp_customize, 'poetic_header_logo_image', array(
      'label'       => __( 'Logo Image', 'poetic' ),
      'description' => __( 'Upload your logo image. ', 'poetic' ),
      'section'     => 'poetic_header',
      'settings'    => 'poetic_header_logo_image',
      'priority'    => '6',
      'mime_type'   => 'image',
    ))
  );

  // Setting: Logo Width
  $wp_customize->add_setting( 'poetic_header_logo_width', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_logo_width"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Logo Width
  $wp_customize->add_control( 'poetic_header_logo_width', array( 
    'type'        => 'text',
    'label'       => __( 'Logo Width (px)', 'poetic' ),
    'description' => __( 'Enter your logo maximum width (in pixels).', 'poetic' ),
    'section'     => 'poetic_header',
    'settings'    => 'poetic_header_logo_width',
    'priority'    => '7',
  ) );

  // Setting: Header Social
  $wp_customize->add_setting( 'poetic_header_social', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_social"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Header Social
  $wp_customize->add_control( 'poetic_header_social', array( 
    'type'        => 'radio',
    'label'       => __( 'Header Social', 'poetic' ),
    'description' => __( 'Select \'On\' to enable social icons in the topbar.', 'poetic' ),
    'section'     => 'poetic_header',
    'settings'    => 'poetic_header_social',
    'priority'    => '8',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Header Search
  $wp_customize->add_setting( 'poetic_header_search', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_header_search"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Header Search
  $wp_customize->add_control( 'poetic_header_search', array( 
    'type'        => 'radio',
    'label'       => __( 'Header Search', 'poetic' ),
    'description' => __( 'Select \'On\' to enable navbar search.', 'poetic' ),
    'section'     => 'poetic_header',
    'settings'    => 'poetic_header_search',
    'priority'    => '9',
    'choices'     => $choice_on_off,
  ) );

  // =================================
  // Controls & Settings: Footer
  // =================================

  // Setting: Footer Content
  $wp_customize->add_setting( 'poetic_footer_content', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_footer_content"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'esc_textarea',
  ) );

  // Control: Footer Content
  $wp_customize->add_control( 'poetic_footer_content', array( 
    'type'        => 'textarea',
    'label'       => __( 'Footer Content', 'poetic' ),
    'description' => __( 'Add content to footer.', 'poetic' ),
    'section'     => 'poetic_footer',
    'settings'    => 'poetic_footer_content',
    'priority'    => '1',
  ) );

  // =================================
  // Controls & Settings: Blog
  // =================================

  // Setting: Blog Posts Alignment
  $wp_customize->add_setting( 'poetic_blog_posts_align', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_blog_posts_align"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_blog_posts_align',
  ) );

  // Control: Blog Posts Alignment
  $wp_customize->add_control( 'poetic_blog_posts_align', array( 
    'type'        => 'radio',
    'label'       => __( 'Blog Posts Alignment', 'poetic' ),
    'description' => __( 'Select \'On\' to enable social sharing buttons under posts.', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_blog_posts_align',
    'priority'    => '1',
    'choices'     => array(
      'left-text'   => 'Left Align',
      'center-text' => 'Center Align',
      'right-text'  => 'Right Align',
    ),
  ) );

  // Setting: Post Meta
  $wp_customize->add_setting( 'poetic_blog_post_meta', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_blog_post_meta"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Post Meta
  $wp_customize->add_control( 'poetic_blog_post_meta', array( 
    'type'        => 'radio',
    'label'       => __( 'Post Meta', 'poetic' ),
    'description' => __( 'Select \'On\' to enable post meta.', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_blog_post_meta',
    'priority'    => '2',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Enable Social Sharing Buttons
  $wp_customize->add_setting( 'poetic_blog_share', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_blog_share"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Enable Social Sharing Buttons
  $wp_customize->add_control( 'poetic_blog_share', array( 
    'type'        => 'radio',
    'label'       => __( 'Enable Social Sharing Buttons', 'poetic' ),
    'description' => __( 'Select \'On\' to enable social sharing buttons under posts.', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_blog_share',
    'priority'    => '3',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Facebook Share Link
  $wp_customize->add_setting( 'poetic_social_share_facebook', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_facebook"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Facebook Share Link
  $wp_customize->add_control( 'poetic_social_share_facebook', array( 
    'type'        => 'radio',
    'label'       => __( 'Facebook Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_facebook',
    'priority'    => '4',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Twitter Share Link
  $wp_customize->add_setting( 'poetic_social_share_twitter', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_twitter"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Twitter Share Link
  $wp_customize->add_control( 'poetic_social_share_twitter', array( 
    'type'        => 'radio',
    'label'       => __( 'Twitter Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_twitter',
    'priority'    => '5',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Google+ Share Link
  $wp_customize->add_setting( 'poetic_social_share_googleplus', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_googleplus"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Google+ Share Link
  $wp_customize->add_control( 'poetic_social_share_googleplus', array( 
    'type'        => 'radio',
    'label'       => __( 'Google+ Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_googleplus',
    'priority'    => '6',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Linkedin Share Link
  $wp_customize->add_setting( 'poetic_social_share_linkedin', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_linkedin"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Linkedin Share Link
  $wp_customize->add_control( 'poetic_social_share_linkedin', array( 
    'type'        => 'radio',
    'label'       => __( 'Linkedin Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_linkedin',
    'priority'    => '7',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Pinterest Share Link
  $wp_customize->add_setting( 'poetic_social_share_pinterest', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_pinterest"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Pinterest Share Link
  $wp_customize->add_control( 'poetic_social_share_pinterest', array( 
    'type'        => 'radio',
    'label'       => __( 'Pinterest Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_pinterest',
    'priority'    => '8',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Reddit Share Link
  $wp_customize->add_setting( 'poetic_social_share_reddit', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_reddit"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Reddit Share Link
  $wp_customize->add_control( 'poetic_social_share_reddit', array( 
    'type'        => 'radio',
    'label'       => __( 'Reddit Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_reddit',
    'priority'    => '9',
    'choices'     => $choice_on_off,
  ) );

   // Setting: Email Share Link
  $wp_customize->add_setting( 'poetic_social_share_email', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_share_email"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Email Share Link
  $wp_customize->add_control( 'poetic_social_share_email', array( 
    'type'        => 'radio',
    'label'       => __( 'Email Share Link', 'poetic' ),
    'section'     => 'poetic_blog',
    'settings'    => 'poetic_social_share_email',
    'priority'    => '10',
    'choices'     => $choice_on_off,
  ) );

  // ====================================
  // Controls & Settings: Featured Posts
  // ====================================

  // Setting: Featured Posts
  $wp_customize->add_setting( 'poetic_enable_featured_posts', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_enable_featured_posts"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Featured Posts
  $wp_customize->add_control( 'poetic_enable_featured_posts', array( 
    'type'        => 'radio',
    'label'       => __( 'Enable Featured Posts', 'poetic' ),
    'description' => __( 'Select \'On\' to enable featured posts.', 'poetic' ),
    'section'     => 'poetic_featured_posts',
    'settings'    => 'poetic_enable_featured_posts',
    'priority'    => '1',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Featured Posts Sort
  $wp_customize->add_setting( 'poetic_featured_posts_sort', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_featured_posts_sort"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_featured_posts_sort',
  ) );

  // Control: Featured Posts Sort
  $wp_customize->add_control( 'poetic_featured_posts_sort', array( 
    'type'        => 'radio',
    'label'       => __( 'Featured Posts Sort', 'poetic' ),
    'description' => __( 'Select how you want to sort the posts. If \'Featured\' is selected, you need to enable it under your individual post settings. ', 'poetic' ),
    'section'     => 'poetic_featured_posts',
    'settings'    => 'poetic_featured_posts_sort',
    'priority'    => '2',
    'choices'     => array(
      'featured'   => 'Featured',
      'popular'    => 'Most Popular',
    ),
  ) );

  // Setting: Featured Posts Count
  $wp_customize->add_setting( 'poetic_featured_posts_count', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_featured_posts_count"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Featured Posts Count
  $wp_customize->add_control( 'poetic_featured_posts_count', array( 
    'type'        => 'text',
    'label'       => __( 'Featured Posts Count', 'poetic' ),
    'description' => __( 'Set the number of posts you want to show. If number is larger than 3, featured posts will automatically turn into a carousel. ', 'poetic' ),
    'section'     => 'poetic_featured_posts',
    'settings'    => 'poetic_featured_posts_count',
    'priority'    => '3',
  ) );

  // ====================================
  // Controls & Settings: Welcome Box
  // ====================================

  // Setting: Home Page Welcome Box
  $wp_customize->add_setting( 'poetic_welcome_box_homepage', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_welcome_box_homepage"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Home Page Welcome Box
  $wp_customize->add_control( 'poetic_welcome_box_homepage', array( 
    'type'        => 'radio',
    'label'       => __( 'Home Page Welcome Box', 'poetic' ),
    'description' => __( 'Select \'On\' to enable welcome box on home page.', 'poetic' ),
    'section'     => 'poetic_welcome_box',
    'settings'    => 'poetic_welcome_box_homepage',
    'priority'    => '1',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Archive Welcome Box
  $wp_customize->add_setting( 'poetic_welcome_box_archive', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_welcome_box_archive"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'poetic_sanitize_toggle_on',
  ) );

  // Control: Archive Welcome Box
  $wp_customize->add_control( 'poetic_welcome_box_archive', array( 
    'type'        => 'radio',
    'label'       => __( 'Archive Welcome Box', 'poetic' ),
    'description' => __( 'Select \'On\' to enable welcome box on archive pages, e.g., Category and Tags pages. Title and description can be set under your category or tags edit page. ', 'poetic' ),
    'section'     => 'poetic_welcome_box',
    'settings'    => 'poetic_welcome_box_archive',
    'priority'    => '2',
    'choices'     => $choice_on_off,
  ) );

  // Setting: Home Page Title
  $wp_customize->add_setting( 'poetic_welcome_box_homepage_title', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_welcome_box_homepage_title"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Home Page Title
  $wp_customize->add_control( 'poetic_welcome_box_homepage_title', array( 
    'type'        => 'text',
    'label'       => __( 'Home Page Title', 'poetic' ),
    'description' => __( 'Enter welcome box title that will appear on home page.', 'poetic' ),
    'section'     => 'poetic_welcome_box',
    'settings'    => 'poetic_welcome_box_homepage_title',
    'priority'    => '3',
  ) );

  // Setting: Home Page Description
  $wp_customize->add_setting( 'poetic_welcome_box_homepage_desc', array(
    'type'      => 'theme_mod',
    'default'   => $poetic_customizer_defaults["poetic_welcome_box_homepage_desc"],
    'transport' => 'refresh',
    'sanitize_callback' => 'esc_textarea',
  ) );

  // Control: Home Page Description
  $wp_customize->add_control( 'poetic_welcome_box_homepage_desc', array( 
    'type'        => 'textarea',
    'label'       => __( 'Home Page Description', 'poetic' ),
    'description' => __( 'Enter welcome box description that will appear on home page.', 'poetic' ),
    'section'     => 'poetic_welcome_box',
    'settings'    => 'poetic_welcome_box_homepage_desc',
    'priority'    => '4',
  ) );

  // =================================
  // Controls & Settings: Social
  // =================================

  // Setting: Facebook Profile URL
  $wp_customize->add_setting( 'poetic_social_facebook', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_facebook"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Facebook Profile URL
  $wp_customize->add_control( 'poetic_social_facebook', array( 
    'type'        => 'text',
    'label'       => __( 'Facebook Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_facebook',
    'priority'    => '2',
  ) );

  // Setting: Twitter Profile URL
  $wp_customize->add_setting( 'poetic_social_twitter', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_twitter"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Twitter Profile URL
  $wp_customize->add_control( 'poetic_social_twitter', array( 
    'type'        => 'text',
    'label'       => __( 'Twitter Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_twitter',
    'priority'    => '3',
  ) );

  // Setting: Instagram Profile URL
  $wp_customize->add_setting( 'poetic_social_instagram', array(
    'type'              => 'theme_mod',
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Instagram Profile URL
  $wp_customize->add_control( 'poetic_social_instagram', array( 
    'type'        => 'text',
    'label'       => __( 'Instagram Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_instagram',
    'priority'    => '4',
  ) );

  // Setting: Google+ Profile URL
  $wp_customize->add_setting( 'poetic_social_googleplus', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_social_googleplus"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Google+ Profile URL
  $wp_customize->add_control( 'poetic_social_googleplus', array( 
    'type'        => 'text',
    'label'       => __( 'Google+ Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_googleplus',
    'priority'    => '5',
  ) );

  // Setting: Linkedin Profile URL
  $wp_customize->add_setting( 'poetic_social_linkedin', array(
    'type'              => 'theme_mod',
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Linkedin Profile URL
  $wp_customize->add_control( 'poetic_social_linkedin', array( 
    'type'        => 'text',
    'label'       => __( 'Linkedin Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_linkedin',
    'priority'    => '6',
  ) );

  // Setting: YouTube Profile URL
  $wp_customize->add_setting( 'poetic_social_youtube', array(
    'type'              => 'theme_mod',
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: YouTube Profile URL
  $wp_customize->add_control( 'poetic_social_youtube', array( 
    'type'        => 'text',
    'label'       => __( 'YouTube Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_youtube',
    'priority'    => '7',
  ) );

  // Setting: Pinterest Profile URL
  $wp_customize->add_setting( 'poetic_social_pinterest', array(
    'type'              => 'theme_mod',
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: Pinterest Profile URL
  $wp_customize->add_control( 'poetic_social_pinterest', array( 
    'type'        => 'text',
    'label'       => __( 'Pinterest Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_pinterest',
    'priority'    => '8',
  ) );

  // Setting: SoundCloud Profile URL
  $wp_customize->add_setting( 'poetic_social_soundcloud', array(
    'type'              => 'theme_mod',
    'transport'         => 'refresh',
    'sanitize_callback' => 'sanitize_text_field',
  ) );

  // Control: SoundCloud Profile URL
  $wp_customize->add_control( 'poetic_social_soundcloud', array( 
    'type'        => 'text',
    'label'       => __( 'SoundCloud Profile URL', 'poetic' ),
    'section'     => 'poetic_social',
    'settings'    => 'poetic_social_soundcloud',
    'priority'    => '8',
  ) );

  // =================================
  // Controls & Settings: Custom CSS
  // =================================

  // Setting: Custom CSS
  $wp_customize->add_setting( 'poetic_custom_css', array(
    'type'              => 'theme_mod',
    'default'           => $poetic_customizer_defaults["poetic_custom_css"],
    'transport'         => 'refresh',
    'sanitize_callback' => 'esc_textarea',
  ) );

  // Control: Custom CSS
  $wp_customize->add_control( 'poetic_custom_css', array( 
    'type'        => 'textarea',
    'label'       => __( 'Custom CSS', 'poetic' ),
    'description' => __( 'Write any custom CSS styling here. ', 'poetic' ),
    'section'     => 'poetic_custom_css',
    'settings'    => 'poetic_custom_css',
    'priority'    => '1',
  ) );


  // =================================
  // WordPress Native Settings
  // =================================

  // Remove Native WordPress Customizer Functionality
  $wp_customize->remove_section( 'nav' );
  $wp_customize->remove_section( 'colors' );
  $wp_customize->remove_section( 'themes' );
  // $wp_customize->remove_section( 'title_tagline' );
  $wp_customize->remove_section( 'background_image' );
  $wp_customize->remove_section( 'static_front_page' );

  // $wp_customize->remove_control( 'blogname' );
  // $wp_customize->remove_control( 'blogdescription' );
  // $wp_customize->remove_control( 'nav_menu_locations[primary]' );
  // $wp_customize->remove_control( 'nav_menu_locations[footer]' );

  // 
  // Update WordPress Native Site Title and Tagline Names
  // 

  $wp_customize->get_section( 'title_tagline' )->title = __( 'Site Name, Description and Icon', 'poetic' );
  $wp_customize->get_section( 'title_tagline' )->priority = '110';
  $wp_customize->get_control( 'blogname' )->label = __( 'Site Name', 'poetic' );
  $wp_customize->get_control( 'blogdescription' )->label = __( 'Site Description', 'poetic' );
  $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
}

add_action( 'customize_register', 'poetic_customize_register' );

/**
 * Sanitize: Choice On Off
 */

function poetic_sanitize_toggle_on( $value ) {
  if ( ! in_array( $value, array( '1', '' ) ) ) 
    $value = '1';

  return $value;
}

function poetic_sanitize_toggle_off( $value ) {
  if ( ! in_array( $value, array( '1', '' ) ) ) 
    $value = '';

  return $value;
}

/**
 * Sanitize: Blog Post Alignment
 */

function poetic_sanitize_blog_posts_align( $value ) {
  if ( ! in_array( $value, array( 'left-text', 'center-text', 'right-text' ) ) ) 
    $value = 'center-text';

  return $value;
}

/**
 * Sanitize: Featured Posts Sort
 */

function poetic_sanitize_featured_posts_sort( $value ) {
  if ( ! in_array( $value, array( 'featured', 'popular', 'right-text' ) ) ) 
    $value = 'popular';

  return $value;
}

/**
 * JS for Customizer Preview Init
 */

function poetic_customizer_js( ) {
  wp_enqueue_script( 'poetic_theme_customizer', get_template_directory_uri() . '/library/functions/admin/customizer/poetic_customizer.js', array( 'jquery' ), '', true );
}

add_action( 'customize_controls_print_footer_scripts', 'poetic_customizer_js' );

/**
 * JS for Customizer Preview Init
 */

function poetic_customizer_preview_js( ) {
  wp_enqueue_script( 'poetic_theme_customizer_preview', get_template_directory_uri() . '/library/functions/admin/customizer/poetic_customizer_preview.js', array( 'jquery', 'customize-preview' ), '', true );
}

add_action( 'customize_preview_init', 'poetic_customizer_preview_js' );
