<?php 

/**
 * -------> library/functions/admin/meta-boxes.php
 *
 * Adds meta boxes to theme. 
 */

/**
 * Set Meta Boxes
 */

function poetic_add_custom_meta_boxes_setup() {


}

// add_action( 'load-post.php', 'poetic_add_custom_meta_boxes_setup' );
// add_action( 'load-post-new.php', 'poetic_add_custom_meta_boxes_setup' );

/**
 * Adds Meta Boxes
 */

function poetic_add_custom_meta_boxes() {

  $args = array(
    'id'            => 'poetic_post_settings', 
    'title'         => __( 'Post Settings', 'poetic' ), 
    'callback'      => 'poetic_custom_meta_boxes_markup', 
    'screen'        => 'post',
    'context'       => 'normal',
    'priority'      => 'default',
    'callback_args' => array(
      array(
        'name' => 'Enable Featured Post',
        'desc' => 'Select this to add this post in the featured posts carousel below the header.',
        'id'   => '_poetic_enable_featured_post',
        'type' => 'radio',
        'std'  => ''
      )
    )
  );


  add_meta_box( 
    $args['id'], 
    $args['title'], 
    $args['callback'], 
    $args['screen'], 
    $args['context'],
    $args['priority'],
    $args['callback_args']
  );

}

add_action( 'add_meta_boxes', 'poetic_add_custom_meta_boxes' );

/**
 * Meta Boxes Markup
 */

function poetic_custom_meta_boxes_markup( $post, $fields ) {

  if ( ! is_array( $fields ) )
    return false;

  wp_nonce_field( basename( __FILE__ ), 'poetic_meta_box_nonce' );

  foreach ( $fields['args'] as $field ) {

    $meta = ( $post->post_status == 'auto-draft' ) ? $field['std'] : get_post_meta( $post->ID, $field['id'], true );

    echo '<div class="field poetic-field"><div class="poetic-label">'
          . '<p>'
           . '<label for="' . $field['id'] . '"><strong>' . $field['name'] . '</strong></label><br>'
           . $field['desc']
          . '</p>'
         . '</div><div class="poetic-control">';

    if ( $field['type'] === 'radio' ) {

      if ( $meta ) {
        $checked = ' checked="yes"';
      } else {
        $checked = '';
      }

      ?>

        <input type="checkbox" name="<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" <?php echo $checked; ?>>

      <?php

    }

    echo '</div></div>';

  }

}

/**
 * Saves Meta Boxes
 */

function poetic_save_custom_meta_boxes( $post_id ) {

  if ( ! isset( $_POST['poetic_meta_box_nonce'] ) || ! wp_verify_nonce( $_POST['poetic_meta_box_nonce'], basename( __FILE__ ) ) )
    return;

  if ( ! current_user_can( 'edit_post', $post_id ) )
    return;

  if ( isset( $_POST['_poetic_enable_featured_post'] ) ) {
    update_post_meta( $post_id, '_poetic_enable_featured_post', $_POST['_poetic_enable_featured_post'] );
  }

}

add_action( 'save_post', 'poetic_save_custom_meta_boxes', 10, 3 );
