<?php 

/**
 * Setting up theme defaults and various WordPress features
 */

if ( ! function_exists('poetic_theme_setup') ) :
    
  function poetic_theme_setup() {

    /**
     * Localization
     *
     * Translation can be added to /library/lang/ directory.
     */
    
    load_theme_textdomain( 'poetic', get_template_directory() . '/library/lang/' );

    /**
     * Automatic Feed Links
     *
     * Adds RSS feed links to the <head> of site for posts 
     * and comments
     */
    
    add_theme_support( 'automatic-feed-links' );

    /**
     * Title Tag
     */
    
    add_theme_support( 'title-tag' );

    /**
     * Support for HTML5 Form
     */
    
    add_theme_support( 'html5', array( 'search-form' ) );

    /**
     * Post Formats
     * 
     * Adds post formats support to the theme
     */
    
    // add_theme_support( 'post-formats', array( 'image', 'video', 'audio', 'quote', 'link' ) );

    /**
     * Register Theme Menus
     */
    
    register_nav_menus( array(
      'primary' => __( 'Primary Menu', 'poetic' ),
      'topbar'  => __( 'Topbar Menu', 'poetic' )
    ) );

    /**
     * Image Sizes
     */

    add_theme_support( 'post-thumbnails' );
    set_post_thumbnail_size( 150, 999999 );
    add_image_size( 'entry', 800, 9999, false );
    add_image_size( 'featured-posts', 450, 253, true );

  }
  add_action( 'after_setup_theme', 'poetic_theme_setup' );

endif;
