<?php

/**
 * Include the TGM_Plugin_Activation class.
 */

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );

function my_theme_register_required_plugins() {
	$plugins = array(

		/**
		 * Plugin: Yet Another Related Posts Plugin
		 */

		array(
			'name'      => 'Yet Another Related Posts Plugin',
			'slug'      => 'yet-another-related-posts-plugin',
			'required'  => true,
			'version'		=> '4.3.1'
		),

		/**
		 * Plugin: WP Pagenavi
		 */

		array(
			'name'      => 'WP Pagenavi',
			'slug'      => 'wp-pagenavi',
			'required'  => false,
		)

	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => get_template_directory_uri() . '/lib/plugins/poetic-post-view.zip',
		'menu'         => 'tgmpa-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',

		
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'poetic' ),
			'menu_title'                      => __( 'Install Plugins', 'poetic' ),
			'installing'                      => __( 'Installing Plugin: %s', 'poetic' ), // %s = plugin name.
			'oops'                            => __( 'Something went wrong with the plugin API.', 'poetic' ),
			'notice_can_install_required'     => _n_noop(
				'poetic requires following plugin: %1$s.',
				'poetic requires the following plugins: %1$s.',
				'poetic'
			), // %1$s = plugin name(s).
			'notice_can_install_recommended'  => _n_noop(
				'poetic recommends the following plugin: %1$s.',
				'poetic recommends the following plugins: %1$s.',
				'poetic'
			)
		),
		
	);

	tgmpa( $plugins, $config );
}
