<?php 

if ( ! function_exists( 'poetic_featured_posts' ) ) :

  function poetic_featured_posts( $type = 'post', $count = 3, $sort = 'featured', $direction = 'horizontal' ) {

    if ( $sort == 'featured' ) {
      $args = array(
        'post_type'       => $type,
        'posts_per_page'  => -1,
        'meta_key'        => '_poetic_enable_featured_post',
        'meta_value'      => true
      );
    } elseif ( $sort == 'popular' ) {
      $args = array(
        'post_type'      => $type,
        'posts_per_page' => $count,
        'meta_key'       => 'poetic_post_views_count',
        'orderby'        => 'meta_value_num',
        'order'          => 'DESC'
      );
    } else {
      $args = array(
        'post_type'      => $type,
        'posts_per_page' => $count
      );
    }

    $wp_query = new WP_Query( $args );


    $output = '<div class="poetic-featured-posts ' . $direction . '">';

    if ( $wp_query->have_posts() ):
      while ( $wp_query->have_posts() ): $wp_query->the_post(); 
        
        GLOBAL $post;

        $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-posts' );

        $output .= '<div class="poetic-featured-post">'
                 . '<a href="' . get_permalink() . '" style="background-image: url(' . $image[0] . ');">'
                  . '<h2>' . get_the_title() . '</h2>'
                  . '<span>View Post</span>'
                 . '</a>'
                . '</div>';
      endwhile;
    endif; wp_reset_query();

    $output .= '</div>';

    echo $output;
  }

endif;
