<?php 

/**
 * Enqueue Site Scripts and Styles
 */
  
if ( ! function_exists( 'poetic_site_enqueues') ) :

  function poetic_site_enqueues() {

    /**
     * Enqueues Scripts
     */
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }
    wp_enqueue_script( 'jquery' );
    wp_enqueue_script( 'main.js', get_template_directory_uri() . '/assets/js/dist/theme.min.js' );
    
    /**
     * Enqueues Styles
     */
    
    wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/assets/css/vendor/font-awesome.css' );
    wp_enqueue_style( 'slick', get_template_directory_uri() . '/assets/css/vendor/slick.css' );
    wp_enqueue_style( 'style', get_stylesheet_uri() );

    // Enqueue Logo Font 'Kaushan Script' if Logo Image
    // is not loaded.
    if ( poetic_get_theme_mod('header_logo_image') == '' ) {
      wp_enqueue_style( 'site-google-font', 'https://fonts.googleapis.com/css?family=Kaushan+Script|Lato:300,300italic,400,400italic,700,700italic' );
    } else {
      wp_enqueue_style( 'site-google-font', 'http://fonts.googleapis.com/css?family=Lato:400,300,300italic,400italic,700,700italic' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'poetic_site_enqueues' );

endif;

/**
 * Enqueue Customizer Styles
 */

if ( ! function_exists( 'poetic_customizer_custom_styles' ) ) :

  function poetic_customizer_custom_styles() {
    wp_enqueue_style( 'poetic-customizer-style', get_template_directory_uri() . '/assets/css/admin/customizer-style.css' );
  }

endif;

add_action( 'customize_controls_print_styles', 'poetic_customizer_custom_styles' );

/**
 * Enqueues Custom CSS from Customizer
 */

if ( ! function_exists( 'poetic_output_custom_css' ) ) :

  function poetic_output_custom_css() {

    $custom_css = poetic_get_theme_mod( 'custom_css' );

    if ( $custom_css ) {
      ?>
        <style id="poetic-custom-css" type="text/css"><?php echo $custom_css; ?></style>
      <?php
    }

  }

endif;

add_action( 'wp_head', 'poetic_output_custom_css', 9999, 0 );