<?php 

/**
 * Generates Content Layout Class
 */
if ( ! function_exists( 'poetic_content_layout_class' ) ) :
  function poetic_content_layout_class() {

    /**
     * Layout Variables
     * @var $get_site_layout string fetches site layout value
     * @var $content_class string empty variable created to
     * store content layout classes
     */
    $get_site_layout = poetic_get_theme_mod( 'site_layout' );
    $content_class = '';

    /**
     * Sets content classes
     */
    switch( $get_site_layout ) {
      case '1':
        $content_class = 'fullwidth';
        break;
      case '2':
        $content_class = 'content-right one-sidebar';
        break;
      case '3':
        $content_class = 'content-left one-sidebar';
        break;
      case '4':
        $content_class = 'content-middle two-sidebar';
        break;
      case '5':
        $content_class = 'content-right two-sidebar';
        break;
      case '6':
        $content_class = 'content-left two-sidebar';
        break;
      default:
        $content_class = 'content-middle two-sidebar';
    }

    return $content_class;

  }
endif;

/**
 * Generates Site Layout
 */
// if ( ! function_exists( 'poetic_site_layout' ) ) :
//   function poetic_site_layout() {

//     /**
//      * Layout Variables
//      * @var $get_site_layout string fetches site layout value
//      * store content layout classes
//      */
//     $get_site_layout = poetic_get_theme_mod( 'site_layout' );

//     /**
//      * Sets site layout
//      */
//     switch( $get_site_layout ) {
//       case '1':
//         $site_layout = 'fullwidth';
//         break;
//       case '2':
//       case '3':
//         $site_layout = 'one-sidebar';
//         break;
//       case '4':
//       case '5':
//       case '6':
//         $site_layout = 'two-sidebar';
//         break;
//       default:
//         $site_layout = 'two-sidebar';
//     }

//     /**
//      * Checks layout and set sidebars value
//      * to either true or false
//      */
//     if ( $site_layout == 'fullwidth' ) {
//       $left_sidebar  = false;
//       $right_sidebar = false;
//     } elseif ( $site_layout == 'one-sidebar' ) {
//       $left_sidebar  = true;
//       $right_sidebar = false;
//     } elseif ( $site_layout == 'two-sidebar' ) {
//       $left_sidebar  = true;
//       $right_sidebar = true;
//     }

//     /**
//      * Creates layout based on $get_site_layout
//      * variable value.
//      */
//     switch( $get_site_layout ) {
//       case '1':
//         get_template_part( 'content' );
//         break;
//       case '2':
//         get_sidebar( 'before-content' );
//         get_template_part( 'content' );
//         break;
//       case '3':
//         get_template_part( 'content' );
//         get_sidebar( 'before-content' );
//         break;
//       case '4':
//         get_sidebar( 'before-content' );
//         get_template_part( 'content' );
//         get_sidebar( 'after-content' );
//         break;
//       case '5':
//         get_sidebar( 'before-content' );
//         get_sidebar( 'after-content' );
//         get_template_part( 'content' );
//         break;
//       case '6':
//         get_template_part( 'content' );
//         get_sidebar( 'before-content' );
//         get_sidebar( 'after-content' );
//         break;
//     }

//   }
// endif;