<?php 

/**
 * Site Primary Navigation
 */

if ( ! function_exists( 'poetic_site_navigation' ) ) :
  function poetic_site_navigation( $location ) {

    /**
    * Displays a navigation menu
    * @param array $args Arguments
    */
    $args = array(
      'theme_location' => $location,
      'container'      => '',
      'menu_class'     => 'poetic-nav',
      'link_before'    => '<span>',
      'link_after'     => '</span>',
      'items_wrap'     => '<ul id="%1$s" class="%2$s">%3$s</ul>',
    );
  
    if ( has_nav_menu( $location ) ) {
      wp_nav_menu( $args );
    } else {
      $default_menu = wp_nav_menu( array( 'echo' => 0, 'container_class' => 'menu' ) );
      $default_menu = str_replace( '<div class="menu">', '', $default_menu );
      $default_menu = str_replace( '<ul>', '', $default_menu );
      $default_menu = str_replace( '</ul></div>', '', $default_menu );
      $default_menu = preg_replace( '/<ul id=\"(.*?)\" class=\"(.*?)\">/', '', $default_menu);
      $default_menu = preg_replace( '/title=\"(.*?)\"/', '', $default_menu );

      echo '<ul class="poetic-nav">' . $default_menu . '</ul>';
    }

  }
endif;