<?php 

/**
 * Social Profiles
 *
 * Outputs social profiles
 */

if ( ! function_exists('poetic_social_profiles') ) :
  function poetic_social_profiles() {

    $facebook    = poetic_get_theme_mod( 'social_facebook' );
    $twitter     = poetic_get_theme_mod( 'social_twitter' );
    $instagram   = poetic_get_theme_mod( 'social_instagram' );
    $google_plus = poetic_get_theme_mod( 'social_googleplus' );
    $linkedin    = poetic_get_theme_mod( 'social_linkedin' );
    $youtube     = poetic_get_theme_mod( 'social_youtube' );
    $pinterest   = poetic_get_theme_mod( 'social_pinterest' );
    $soundcloud  = poetic_get_theme_mod( 'social_soundcloud' );

    $output = '<div class="poetic-social">';

    if ( $facebook != '' )    : $output .= '<a href="' . $facebook . '" class="facebook" title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a>'; endif;
    if ( $twitter != '' )     : $output .= '<a href="' . $twitter . '" class="twitter" title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a>'; endif;
    if ( $instagram != '' )   : $output .= '<a href="' . $instagram . '" class="instagram" title="Instagram" target="_blank"><i class="fa fa-instagram"></i></a>'; endif;
    if ( $google_plus != '' ) : $output .= '<a href="' . $google_plus . '" class="google-plus" title="Google+" target="_blank"><i class="fa fa-google-plus"></i></a>'; endif;
    if ( $linkedin != '' )    : $output .= '<a href="' . $linkedin . '" class="linkedin" title="Linkedin" target="_blank"><i class="fa fa-linkedin"></i></a>'; endif;
    if ( $youtube != '' )     : $output .= '<a href="' . $youtube . '" class="youtube" title="YouTube" target="_blank"><i class="fa fa-youtube"></i></a>'; endif;
    if ( $pinterest != '' )   : $output .= '<a href="' . $pinterest . '" class="pinterest" title="Pinterest" target="_blank"><i class="fa fa-pinterest"></i></a>'; endif;
    if ( $soundcloud != '' )  : $output .= '<a href="' . $soundcloud . '" class="soundcloud" title="SoundCloud" target="_blank"><i class="fa fa-soundcloud"></i></a>'; endif;

    $output .= '</div>';

    echo $output;

  }
endif;

/**
 * Social Share
 * 
 * Outputs social sharing buttons
 */

if ( ! function_exists('poetic_social_share') ) {
  function poetic_social_share() {

    $share_url        = urlencode( get_permalink() );
    $share_title      = urlencode( get_the_title() );
    $share_source     = urlencode( get_bloginfo( 'name' ) );
    $share_content    = urlencode( get_the_excerpt() );
    $share_image_info = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
    $share_image      = urlencode( $share_image_info[0] );

    if ( ! poetic_get_theme_mod( 'blog_share' ) ) {
      return;
    }

    $facebook    = ( poetic_get_theme_mod( 'social_share_facebook' ) ) ? "<a href=\"#share\" class=\"facebook\" title=\"Share on Facebook\" onclick=\"window.open('http://www.facebook.com/sharer.php?u={$share_url}&amp;t={$share_title}', 'popupFacebook', 'width=650, height=270, resizable=0, toolbar=0, menubar=0, status=0, location=0, scrollbars=0'); return false;\"><i class=\"fa fa-facebook\" data-fa=\"&#xf082;\"></i></a>" : '';
    $twitter     = ( poetic_get_theme_mod( 'social_share_twitter' ) ) ? "<a href=\"#share\" class=\"twitter\" title=\"Share on Twitter\" onclick=\"window.open('https://twitter.com/intent/tweet?text={$share_title}&amp;url={$share_url}', 'popupTwitter', 'width=500, height=370, resizable=0, toolbar=0, menubar=0, status=0, location=0, scrollbars=0'); return false;\"><i class=\"fa fa-twitter\" data-fa=\"&#xf081;\"></i></a>" : '';
    $google_plus = ( poetic_get_theme_mod( 'social_share_googleplus' ) ) ? "<a href=\"#share\" class=\"google-plus\" title=\"Share on Google+\" onclick=\"window.open('https://plus.google.com/share?url={$share_url}', 'popupGooglePlus', 'width=650, height=226, resizable=0, toolbar=0, menubar=0, status=0, location=0, scrollbars=0'); return false;\"><i class=\"fa fa-google-plus\" data-fa=\"&#xf0d4;\"></i></a>" : '';
    $linkedin    = ( poetic_get_theme_mod( 'social_share_linkedin' ) ) ? "<a href=\"#share\" class=\"linkedin\" title=\"Share on LinkedIn\" onclick=\"window.open('http://www.linkedin.com/shareArticle?mini=true&amp;url={$share_url}&amp;title={$share_title}&amp;summary={$share_content}&amp;source={$share_source}', 'popupLinkedIn', 'width=610, height=480, resizable=0, toolbar=0, menubar=0, status=0, location=0, scrollbars=0'); return false;\"><i class=\"fa fa-linkedin\" data-fa=\"&#xf08c;\"></i></a>" : '';
    $pinterest   = ( poetic_get_theme_mod( 'social_share_pinterest' ) ) ? "<a href=\"#share\" class=\"pinterest\" title=\"Share on Pinterest\" onclick=\"window.open('http://pinterest.com/pin/create/button/?url={$share_url}&amp;media={$share_image}&amp;description={$share_title}', 'popupPinterest', 'width=750, height=265, resizable=0, toolbar=0, menubar=0, status=0, location=0, scrollbars=0'); return false;\"><i class=\"fa fa-pinterest\" data-fa=\"&#xf0d3;\"></i></a>" : '';
    $reddit      = ( poetic_get_theme_mod( 'social_share_reddit' ) ) ? "<a href=\"#share\" class=\"reddit\" title=\"Share on Reddit\" onclick=\"window.open('http://www.reddit.com/submit?url={$share_url}&title={$share_title}', 'popupReddit', 'width=875, height=450, resizable=0, toolbar=0, menubar=0, status=0, location=0, scrollbars=0'); return false;\"><i class=\"fa fa-reddit\" data-fa=\"&#xf1a2;\"></i></a>" : '';
    $email       = ( poetic_get_theme_mod( 'social_share_email' ) ) ? "<a href=\"mailto:?subject=" . get_the_title() . "&amp;body=Hey, I've found this awesome poetry! Check it out: " . get_permalink() . "\" class=\"email\" title=\"Share via Email\"><span><i class=\"fa fa-envelope\" data-fa=\"&#xf199;\"></i></span></a>" : '';

    $output = '<div class="poetic-share">'
              . '<p>' . __( 'Share this poetry', 'poetic' ) . '</p>'
              . '<div class="poetic-social">'
                . $facebook . $twitter . $google_plus . $linkedin . $pinterest . $reddit . $email
              . '</div>'
            . '</div>';

    echo $output;

  }
}
