<?php 

/**
 * loop.php
 */

if ( get_post_type() == 'post' ) {
  $post_class = 'poetry';
} else {
  $post_class = '';
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $post_class ); ?>>
  <div class="entry-header">
    <?php if ( is_single() || is_page() ): ?>
      <h1 class="entry-title"><?php the_title(); ?></h1>
    <?php else: ?>
      <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
    <?php endif; ?>
  </div>
  <div class="entry-content">
    <?php if ( has_post_thumbnail() ): ?>
      <div class="entry-featured">
        <a class="entry-thumb" href="<?php the_permalink(); ?>"><?php the_post_thumbnail('entry'); ?></a>
      </div>
    <?php endif ?>
    <?php the_content(); ?>
  </div>
  <?php poetic_social_share(); ?>
  <?php if ( !is_page() ): ?>
    <div class="entry-footer">
      <?php poetic_post_meta(); ?>
    </div>
  <?php endif; ?>
  <?php if ( get_the_tags() ): ?>
    <div class="tags"><?php the_tags( 'Tags: ', ', ' ); ?></div>
  <?php endif; ?>
  <?php 
    if ( is_singular('post') && function_exists( 'yarpp_related' ) ) {
      yarpp_related( array(
        'template' => 'yarpp-template-poetic.php',
        'limit'    => 3,
        'order'    => 'score DESC'
      ), true);
    }
  ?>
  <?php wp_link_pages( array(
    'before'      => '<div class="poetic-pagination"><span class="page-links-title">' . __( 'Pages:', 'poetic' ) . '</span>',
    'after'       => '</div>',
    'link_before' => '<span>',
    'link_after'  => '</span>',
    ) );
  ?>
</article>